Name:          usbutils
Version:       012
Release:       1mamba
Summary:       Utilities for handling USB devices
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://usb.cs.tum.edu/
Source:        https://mirrors.edge.kernel.org/pub/linux/utils/usb/usbutils/usbutils-%{version}.tar.xz
#Source:        http://downloads.sourceforge.net/sourceforge/linux-usb/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.86-hwdata.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libusb-devel
## AUTOBUILDREQ-END
Provides:      usbutils-devel = %{version}
Obsoletes:     usbutils-devel
Requires:      hwdata
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description
The "usbutils" package is most useful for the "lsusb" utility, which can provide considerable detail about the USB devices connected to your Linux system.
(It's like "pciutils" is for PCI.)

%prep
%setup -q
#%patch0 -p1

%build
autoreconf -i
%configure \
   --disable-zlib \
   --disable-usbids \
   --datadir=%{_datadir}/hwdata

%make

## do update `usb.ids' from <http://www.linux-usb.org></http:>
#./update-usbids.sh

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

#ln -s ../sbin/lsusb %{buildroot}%{_bindir}/lsusb

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/lsusb
%{_bindir}/lsusb.py
%{_bindir}/usbhid-dump
%{_bindir}/usb-devices
%{_mandir}/man1/usb-devices.1*
%{_mandir}/man8/*
#%{_libdir}/pkgconfig/usbutils.pc
#%doc AUTHORS COPYING
#%doc NEWS README ChangeLog

%changelog
* Wed Sep 11 2019 Automatic Build System <autodist@mambasoft.it> 012-1mamba
- automatic version update by autodist

* Fri Aug 17 2018 Automatic Build System <autodist@mambasoft.it> 010-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 009-1mamba
- update to 009

* Fri Oct 24 2014 Automatic Build System <autodist@mambasoft.it> 008-1mamba
- automatic update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 007-1mamba
- automatic version update by autodist

* Wed Feb 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 006-2mamba
- fix usb.ids location

* Thu Jan 31 2013 Automatic Build System <autodist@mambasoft.it> 006-1mamba
- update to 006

* Mon Oct 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.86-4mamba
- added patch to read ids db from /usr/share/hwdata; added requirement for hwdata

* Fri Oct 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.86-3mamba
- added updated usb.ids from linux-usb.org

* Wed Aug 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.86-2mamba
- added /usr/bin/lsusb symlink pointing to /usr/sbin/lsusb

* Fri Aug 21 2009 Automatic Build System <autodist@mambasoft.it> 0.86-1mamba
- automatic update by autodist

* Sat Jun 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.84-1mamba
- update to 0.84

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.73-2mamba
- don't compress usb.ids database file

* Tue Nov 13 2007 Aleph0 <aleph0@openmamba.org> 0.73-1mamba
- update to 0.73

* Mon Jul 24 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.72-1qilnx
- update to version 0.72 by autospec

* Thu Apr 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.70-2qilnx
- provides usbutils-devel to avoid errors during upgrade from QiLinux 1.1

* Wed Feb 02 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.70-1qilnx
- update to version 0.70 by autospec
- removed devel package (usbutils uses now the system library libusb to
  access USB devices, not a private (old) copy of that library.)

* Mon Jul 02 2003 Silvan Calarco <silvan.calarco@qinet.it> 0.11-1qilnx
- first build of USB-utils
